## r-cran-profmem 0.6.0%2Bdfsg

=== debian/changelog ===
r-cran-profmem (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Jan 2021 13:42:34 +0100

r-cran-profmem (0.5.0+dfsg-2) unstable; urgency=medium

  * Source-only upload.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 25 Nov 2020 10:23:19 +0100

r-cran-profmem (0.5.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #975625)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 24 Nov 2020 10:32:23 +0100

## r-cran-profmem 0.6.0+dfsg

=== DESCRIPTION ===
Package: profmem
Version: 0.6.0
Title: Simple Memory Profiling for R
Imports: utils
Suggests: R.rsp, markdown, microbenchmark
VignetteBuilder: R.rsp
Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                          email = "henrikb@braju.com"))
Description: A simple and light-weight API for memory profiling of R expressions.  The profiling is built on top of R's built-in memory profiler ('utils::Rprofmem()'), which records every memory allocation done by R (also native code).
License: LGPL (>= 2.1)
LazyLoad: TRUE
URL: https://github.com/HenrikBengtsson/profmem
BugReports: https://github.com/HenrikBengtsson/profmem/issues
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2020-12-13 20:18:56 UTC; hb
Author: Henrik Bengtsson [aut, cre, cph]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2020-12-13 20:40:02 UTC

=== debian/control ===
Source: r-cran-profmem
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-profmem
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-profmem.git
Homepage: https://cran.r-project.org/package=profmem
Rules-Requires-Root: no

Package: r-cran-profmem
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Simple Memory Profiling for R
 A simple and light-weight API for memory profiling of R expressions. The
 profiling is built on top of R's built-in memory profiler
 ('utils::Rprofmem()'), which records every memory allocation done by R
 (also native code).

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/profmem_([-\d.]*)\.tar\.gz

## r-cran-profmem 0.7.0+dfsg

=== DESCRIPTION ===
Package: profmem
Version: 0.7.0
Title: Simple Memory Profiling for R
Imports: utils
Suggests: R.rsp, markdown, microbenchmark
VignetteBuilder: R.rsp
Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                          email = "henrikb@braju.com"))
Description: A simple and light-weight API for memory profiling of R expressions.  The profiling is built on top of R's built-in memory profiler ('utils::Rprofmem()'), which records every memory allocation done by R (also native code).
License: LGPL (>= 2.1)
LazyLoad: TRUE
URL: https://henrikbengtsson.github.io/profmem/,
        https://github.com/HenrikBengtsson/profmem
BugReports: https://github.com/HenrikBengtsson/profmem/issues
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-05-02 20:14:48 UTC; henrik
Author: Henrik Bengtsson [aut, cre, cph]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2025-05-02 21:00:02 UTC

=== debian/changelog ===
r-cran-profmem (0.7.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Thu, 29 Jan 2026 09:26:16 +0900

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev
-Standards-Version: 4.5.1
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-profmem
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-profmem.git
 Homepage: https://cran.r-project.org/package=profmem

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-r.rsp,
        r-cran-markdown,
        r-cran-microbenchmark
Restrictions: allow-stderr
